;-| ボタン配置 |-----------------------------------------------------
;各ボタンの配置を簡単に変更できます。
;このキャラクターのボタン配置を変えたいときなどに使います。
;x = x を x = a に変えれば、xがaに変わります。

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| 標準化 |-------------------------------------------------------
[Defaults]
; timeを記述しなかった場合、以下の値が参照されます。最小値は1です。
command.time = 15

; buffer.timeの値です。1〜30まで設定できます。
; 普通は1です。
command.buffer.time = 1
;------------------------------------------------------------------------------
;-|AI用コマンド|-------------------------------------------------------------------
[Command]
Name = "AI_00"
Command = a, b, c, x, y, z
Time = 0

[Command]
Name = "AI_01"
Command = a, b, c, x, z, y
Time = 0

[Command]
Name = "AI_02"
Command = a, b, c, y, x, z
Time = 0

[Command]
Name = "AI_03"
Command = a, b, c, y, z, x
Time = 0

[Command]
Name = "AI_04"
Command = a, b, c, z, x, y
Time = 0

[Command]
Name = "AI_05"
Command = a, b, c, z, y, x
Time = 0

[Command]
Name = "AI_06"
Command = F, D, B, U, F, D, B, U, c+z
Time = 0

[Command]
Name = "AI_07"
Command = a, b, b, b, b, b
Time = 0

[Command]
Name = "AI_08"
Command = a, c, c, c, c, c
Time = 0

[Command]
Name = "AI_09"
Command = a, x, x, x, x, x
Time = 0

[Command]
Name = "AI_10"
Command = a, z, z, z, z, z
Time = 0

[Command]
Name = "AI_11"
Command = a, c, y, c, c, c
Time = 0

[Command]
Name = "AI_12"
Command = a, a, a, x, x, x
Time = 0

[Command]
Name = "AI_13"
Command = a, z, z, z, z, y
Time = 0

[Command]
Name = "AI_14"
Command = a, c, y, b, c, c
Time = 0

[Command]
Name = "AI_15"
Command = a, z, a, x, x, x
Time = 0

[Command]
Name = "AI_16"
Command = D, z, z, z, z, z
Time = 0

[Command]
Name = "AI_17"
Command = D, c, y, c, c, c
Time = 0

[Command]
Name = "AI_18"
Command = D, a, a, x, x, x
Time = 0

[Command]
Name = "AI_19"
Command = D, c, y, c, c, a
Time = 0

[Command]
Name = "AI_20"
Command = D, a, a, x, x, b
Time = 0

;------------------------------------------------------------------------------
;-| 必殺技 ＆ 超必殺技|-------------------------------------------------------------------
;コマンドの一部が重なる場合、先に書かれたものが優先されるので
;623 → 236の順に登録されています。
;（注:236等はテンキーでコマンドを表しています）

[Command]
name = "warp_x"
command = ~F, DF, D, DB, B, x

[Command]
name = "warp_y"
command = ~F, DF, D, DB, B, y

[Command]
name = "warp_a"
command = ~F, DF, D, DB, B, a

[Command]
name = "warp_b"
command = ~F, DF, D, DB, B, b

[Command]
name = "fusatsu"
command = ~F, D, DF, x+y

[Command]
name = "atemi_x"
command = ~B, D, DB, x

[Command]
name = "atemi_y"
command = ~B, D, DB, y

[Command]
name = "fusatsu"
command = ~F, D, DF, z

[Command]
name = "tengu_x"
command = ~F, D, DF, x

[Command]
name = "tengu_y"
command = ~F, D, DF, y

[Command]
name = "kessen_h"
command = ~D, DF, F, x+y

[Command]
name = "kessen_h"
command = ~D, DF, F, z

[Command]
name = "kessen_x"
command = ~D, DF, F, x

[Command]
name = "kessen_y"
command = ~D, DF, F, y

[Command]
name = "tatsumaki_x"
command = ~D, DB, B, x

[Command]
name = "tatsumaki_y"
command = ~D, DB, B, y

[Command]
name = "agito_a"
command = ~D, DF, F, a

[Command]
name = "agito_b"
command = ~D, DF, F, b

[Command]
name = "kesatsu"
command = ~D, DB, B, a+b

[Command]
name = "kesatsu"
command = ~D, DB, B, c

[Command]
name = "senkage_a"
command = ~D, DB, B, a

[Command]
name = "senkage_b"
command = ~D, DB, B, b

;結界
[Command]
name = "kekkai_p"
command = D, D, x

[Command]
name = "kekkai_p"
command = D, D, y

[Command]
name = "kekkai_p"
command = D, D, z

[Command]
name = "kekkai_k"
command = D, D, a

[Command]
name = "kekkai_k"
command = D, D, b

[Command]
name = "kekkai_k"
command = D, D, c
;ここまで「結界」コマンド

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------
[Command]
name = "FF"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = F, F
time = 10

[Command]
name = "BB"     ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------
;真・傀儡の舞
[Command]
name = "kugutsu"
command = x+y+a+b
time = 1

[Command]
name = "kugutsu"
command = c+z
time = 1
;ここまで真・傀儡の舞

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = x+y
time = 1

[Command]
name = "recovery"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = a+b
time = 1

[Command]
name = "a+x"
command = a+x
time = 1

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------
[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "back_a+x"
command = /$B,a+x
time = 1

[Command]
name = "fwd_a+x"
command = /$F,a+x
time = 1

;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;---------------------------
;(パワー溜めステート用にコマンドを追加しています)
[Command]
name = "hold_b"
command = /b

;(パワー溜めステート用にコマンドを追加しています)
[Command]
name = "hold_y"
command = /y

;------------------------------------------------------------------------------
;-| 方向キー押しっぱなし |-----------------------------------------------------
[Command]
name = "holdfwd"   ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$F
time = 1

[Command]
name = "holdback"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$B
time = 1

[Command]
name = "holdup"    ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$U
time = 1

[Command]
name = "holddown"  ;要求済み (キーの変更は可能ですが名前を変えたり無効にしてはいけません)
command = /$D
time = 1

;------------------------------------------------------------------------------
;==============================================================================
; 技を実行するための条件の設定（ステートエントリーパート）
;==============================================================================
;------------------------------------------------------------------------------

[Statedef -1];←この行は絶対に消さないでください。必須の項目です。

;==============================================================================
;===========================================================================
;---------------------------------------------------------------------------
;ゲージ消費技
;---------------------------------------------------------------------------
;------------------------------------------------------
;傀儡の舞
[State -1, kugutsu]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = StateType != A
triggerall = power >= 2000
triggerall = Var(5) = 0
triggerall = command = "kugutsu"
trigger1 = stateno = 1095
trigger2 = stateno = 1005
trigger3 = (stateno = 3300 && animelemtime(5) > 0)
trigger4 = stateno = 195
value = 3500

[State -1, senko]
type = VarSet
triggerAll = Var(0) = 0
trigger1 = command = "kugutsu"
var(0) = 3500

;------------------------------------------------------
;風殺扇
[State -1, fusatsu]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "fusatsu"
triggerall = StateType != A
triggerall = power >= 1000
triggerall = Var(5) = 0
triggerall = numhelper(3305) = 0
trigger1 = stateno = 1095
trigger2 = stateno = 1005
trigger2 = AnimElemTime(2) > 4
trigger3 = stateno = 195
value = 3300

[State -1, senko]
type = VarSet
triggerAll = Var(0) = 0
trigger1 = command = "fusatsu"
var(0) = 3300

;------------------------------------------------------

;血扇の舞（超必）
[State -1, Kessen_h]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = Command = "kessen_h"
triggerall = StateType != A
triggerall = power >= 1000
triggerall = Var(5) = 0
trigger1 = stateno = 1095
trigger2 = stateno = 1005
trigger2 = AnimElemTime(2) > 4
trigger3 = stateno = 220
trigger3 = movecontact
trigger4 = stateno = 220
trigger4 = (AnimElemTime (7) >= 0)
trigger5 = stateno = 195
value = 3200

[State -1, senko]
type = VarSet
triggerAll = Var(0) = 0
trigger1 = command = "kessen_h"
var(0) = 3200

;------------------------------------------------------
;気殺
[State -1, kesatsu]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "kesatsu"
triggerall = StateType != A
triggerall = power >= 1000
triggerall = Var(5) = 0
triggerall = Var(4) = 0
trigger1 = stateno = 1095
trigger2 = stateno = 1005
trigger3 = Stateno = 3200
trigger3 = AnimElemTime(10) > 0
value = 3100

[State -1, senko]
type = VarSet
triggerAll = Var(0) = 0
trigger1 = command = "kesatsu"
var(0) = 3100

;------------------------------------------------------
;結界（パンチ）
[State -1, kekkai_p]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "kekkai_p"
triggerall = StateType != A
triggerall = power >= 1000
triggerall = Var(5) = 0
trigger1 = stateno = 1095
trigger2 = stateno = 1005
trigger3 = Stateno = 3200
trigger3 = AnimElemTime(10) > 0
value = 3000

[State -1, senko]
type = VarSet
triggerAll = Var(0) = 0
trigger1 = command = "kekkai_p"
var(0) = 3000

;結界（キック）
[State -1, kekkai_k]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "kekkai_k"
triggerall = StateType != A
triggerall = power >= 1000
triggerall = Var(5) = 0
trigger1 = stateno = 1095
trigger2 = stateno = 1005
trigger3 = Stateno = 3200
trigger3 = AnimElemTime(10) > 0
value = 3010

[State -1, senko]
type = VarSet
triggerAll = Var(0) = 0
trigger1 = command = "kekkai_k"
var(0) = 3010

;--------------------------------------------
;超必殺技発動（地上技）
[State -1, senko_Hyper]
type = ChangeState
value = Var(0)
TriggerAll = Var(59) = 0
triggerall = Var(0) > 2999
triggerall = Var(5) = 0
trigger1 = statetype = S || statetype = C
trigger1 = ctrl || (StateNo=52 && Time>= 3)
trigger1 = (Var(0)=3500) && (Power>=2000)
trigger2 = statetype = S || statetype = C
trigger2 = ctrl || (StateNo=52 && Time>= 3)
trigger2 = (Var(0)=3300) && (Power>=1000)
trigger2 = numhelper(3305) = 0
trigger3 = statetype = S || statetype = C
trigger3 = ctrl || (StateNo=52 && Time>= 3)
trigger3 = (Var(0)>=3000 && Var(0)<=3099) || (Var(0)=3200)
trigger3 = Power>=1000
trigger4 = statetype = S || statetype = C
trigger4 = ctrl || (StateNo=52 && Time>= 3)
trigger4 = (Var(0)=3100) && (Power>=1000)
trigger4 = Var(4) = 0
trigger5 = (Var(0)=3200) && (Power>=1000)
trigger5 = (stateno=5120&&AnimTime=0)

;---------------------------------------------------------------------------
;特殊行動
;------------------------------------------------------------------------------
;気溜め
[State -1, Tame]
type = ChangeState
value = 700
TriggerAll = Var(59) = 0
triggerall = statetype != A
triggerall = ctrl
triggerall = power < 3000
triggerall = Var(5) = 0
trigger1 = (command = "hold_b" && command = "hold_y")

;ダッシュ
[State -1, Dash]
type = ChangeState
value = 100
TriggerAll = Var(59) = 0
triggerall = command = "FF"
triggerall = Var(5) = 0
trigger1 = statetype != A
trigger1 = ctrl

;バックステップ
[State -1, Back Step]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "BB"
var(0) = 105

;後避け
[State -1, Bsake]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "back_a+x"
var(0) = 2220

;前避け
[State -1, Fsake]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "fwd_a+x"
var(0) = 2210

;避け
[State -1, sake]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "a+x"
var(0) = 2200

;空中追い討ち
[State -1, erial]
type = ChangeState
value = 40
TriggerAll = Var(59) = 0
triggerall = command = "holdup"
trigger1 = Stateno = 3014
trigger1 = Anim = 3014 && AnimElemTime(10) >= 1

;----------------------------------------
;通常投げ
;----------------------------------------------------------------------------
;投げ
[State -1, Throw]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "recovery"
trigger2 = command = "z"
var(0) = 800

;--------------------------------------------
;特殊行動（地上技）
[State -1, senko_tokushu]
type = ChangeState
value = Var(0)
TriggerAll = Var(59) = 0
triggerall = (Var(0)=105)||(Var(0)=800)||(Var(0)=[2200,2220] )
trigger1 = statetype = S || statetype = C
trigger1 = ctrl
trigger1 = Var(0) = [2200,2220]
trigger2 = statetype = S || statetype = C
trigger2 = ctrl
trigger2 = Var(5) = 0
trigger3 = (Var(0)=105)
trigger3 = (stateno=5120&&AnimTime=0)

;---------------------------------------------------------------------------
;必殺技
;---------------------------------------------------------------------------
;------------------------------------------------------
起き上がり血扇の舞単発弱
[State -1, Kesseno_w]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "kessen_x"
triggerall = (numhelper(1001) = 0 && numhelper(1011) = 0)
triggerall = Var(5) = 0
TriggerAll = Alive
trigger1 = Stateno = 5110
trigger1 = time >= 10
value = 1100

;------------------------------------------------------
起き上がり血扇の舞単発強
[State -1, Kesseno_s]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "kessen_y"
triggerall = (numhelper(1001) = 0 && numhelper(1011) = 0)
triggerall = Var(5) = 0
TriggerAll = Alive
trigger1 = Stateno = 5110
trigger1 = time >= 10
value = 1110

;------------------------------------------------------
;ワープ（左端）
[State -1, warp_x]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "warp_x"
var(0) = 1090

;------------------------------------------------------
;ワープ（左中心）
[State -1, warp_y]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "warp_y"
var(0) = 1091

;------------------------------------------------------
;ワープ（右端）
[State -1, warp_x]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "warp_a"
var(0) = 1092

;------------------------------------------------------
;ワープ（右中心）
[State -1, warp_x]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "warp_b"
var(0) = 1093

;------------------------------------------------------
;当て身投げ弱
[State -1, atemi_x]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "atemi_x"
var(0) = 1200

;------------------------------------------------------
;当て身投げ強
[State -1, atemi_y]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "atemi_y"
var(0) = 1205

;------------------------------------------------------
;竜巻扇（弱）
[State -1, Tatumaki-w]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "tatsumaki_x"
triggerall = StateType = A
triggerall = Var(5) = 0
trigger1 = stateno = 600
trigger1 = movecontact
trigger2 = stateno = 610
trigger2 = movecontact
value = 1080

[State -1, senko]
type = VarSet
trigger1 = Var(0) = 0
trigger1 = command = "tatsumaki_x"
trigger2 = (Var(0)=1090)||(Var(0)=1200)
trigger2 = StateType = A
var(0) = 1080

;------------------------------------------------------
;竜巻扇（強）
[State -1, Tatumaki-s]
type = ChangeState
TriggerAll = Var(59) = 0
triggerall = command = "tatsumaki_y"
triggerall = StateType = A
triggerall = Var(5) = 0
trigger1 = stateno = 600
trigger1 = movecontact
trigger2 = stateno = 610
trigger2 = movecontact
value = 1085

[State -1, senko]
type = VarSet
trigger1 = Var(0) = 0
trigger1 = command = "tatsumaki_y"
trigger2 = (Var(0)=1091)||(Var(0)=1205)
trigger2 = StateType = A
var(0) = 1085

;------------------------------------------------------
;扇影（弱）
[State -1, Senkage_w]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "senkage_a"
var(0) = 1060

;------------------------------------------------------
;扇影（強）
[State -1, Senkage_s]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "senkage_b"
var(0) = 1065

;------------------------------------------------------
;竜の顎（弱）
[State -1, Agito-w]
type = VarSet
TriggerAll = Var(59) = 0
triggerall = command = "agito_a"
triggerall = StateType != A
triggerall = Var(5) = 0
trigger1 = (stateno = 240) && (time < 21)
v = 2
value = 1

;------------------------------------------------------
;竜の顎（強）
[State -1, Agito-s]
type = VarSet
TriggerAll = Var(59) = 0
triggerall = command = "agito_b"
triggerall = StateType != A
triggerall = Var(5) = 0
trigger1 = (stateno = 240) && (time < 21)
v = 2
value = 2

;------------------------------------------------------
;天狗扇（弱）
[State -1, Teng-w]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "tengu_x"
var(0) = 1020

;------------------------------------------------------
;天狗扇（強）
[State -1, Teng-s]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "tengu_y"
var(0) = 1030

;------------------------------------------------------
;血扇の舞単発弱
[State -1, Kessen_w]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "kessen_x"
var(0) = 1000

;------------------------------------------------------
;血扇の舞単発強
[State -1, Kessen_s]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "kessen_y"
var(0) = 1010

;--------------------------------------------
;必殺技（地上技）
[State -1, senko_Super1]
type = ChangeState
value = Var(0)
TriggerAll = Var(59) = 0
triggerAll = Var(5) = 0
triggerall = (Var(0)>=1000 && Var(0)<1080) || (Var(0)>1085 && Var(0)<2000)
triggerAll = statetype = S || statetype = C
trigger1 = (Var(0)>1030) && ctrl
trigger2 = Var(0) = [1000, 1010]
trigger2 = (stateno=1005) && (AnimElemTime(3)>=0)
trigger3 = (stateno!=1005)
trigger3 = ctrl
trigger3 = Var(0) = [1000, 1010]
trigger3 = (numhelper(1001) = 0 && numhelper(1011) = 0)
trigger4 = ctrl
trigger4 = Var(0) = [1020, 1030]
trigger4 = (numhelper(1025) = 0 && numhelper(1035) = 0)

;必殺技（空中技）
[State -1, senko_Super2]
type = ChangeState
value = Var(0)
TriggerAll = Var(59) = 0
triggerAll = Var(5) = 0
triggerall = Var(0) = [1080,1085]
triggerAll = statetype = A
trigger1 = ctrl
trigger2 = stateno = [1071,1072]

;----------------------------------------
;方向キー技
;---------------------------------------------------------------------------

;突進パンチ
[State -1, Foword Punch]
type = ChangeState
value = 220
TriggerAll = Var(59) = 0
triggerall = (command = "fwd_x" || command = "fwd_y")
triggerall = Var(5) = 0
triggerall = statetype != A
trigger1 = stateno = 210
trigger1 = movecontact
trigger2 = stateno = 410
trigger2 = movecontact

;---------------------------------------------------------------------------
;空中対地パンチ
[State -1, Jump Down Punch]
type = ChangeState
value = 620
TriggerAll = Var(59) = 0
triggerall = (command = "down_x" || command = "down_y")
triggerall = Var(5) = 0
triggerall = statetype = A
trigger1 = stateno = 610
trigger1 = movecontact
trigger2 = stateno = 600
trigger2 = movecontact

;----------------------------------------
;通常技
;----------------------------------------

;しゃがみ弱パンチ
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
TriggerAll = Var(59) = 0
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = Var(5) = 0
triggerall = statetype != A
trigger1 = stateno = 430
trigger1 = movecontact

;---------------------------------------------------------------------------
;しゃがみ強パンチ
[State -1, Crouching Middle Punch]
type = ChangeState
value = 410
TriggerAll = Var(59) = 0
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = Var(5) = 0
triggerall = statetype != A
trigger1 = stateno = 400
trigger1 = movecontact

;---------------------------------------------------------------------------
;しゃがみ弱キック
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
TriggerAll = Var(59) = 0
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = Var(5) = 0
triggerall = statetype != A
trigger1 = stateno = 400
trigger1 = movecontact

;---------------------------------------------------------------------------
;しゃがみ強キック
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
TriggerAll = Var(59) = 0
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = Var(5) = 0
triggerall = statetype != A
trigger1 = stateno = 430
trigger1 = movecontact

;---------------------------------------------------------------------------
;立ち弱パンチ
[State -1, punch]
type = ChangeState
value = 200
TriggerAll = Var(59) = 0
triggerall = command = "x"
triggerall = statetype != A
triggerall = Var(5) = 0
trigger1 = stateno = 230
trigger1 = movecontact

[State -1, senko]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "x"
var(0) = 200

;---------------------------------------
;立ち強パンチ
[State -1, punch]
type = ChangeState
value = 210
TriggerAll = Var(59) = 0
triggerall = command = "y"
triggerall = statetype != A
triggerall = Var(5) = 0
trigger1 = stateno = 200
trigger1 = movecontact

[State -1, senko]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "y"
var(0) = 210

;----------------------------------------
;立ち弱キック
[State -1, kick]
type = ChangeState
value = 230
TriggerAll = Var(59) = 0
triggerall = command = "a"
triggerall = statetype != A
triggerall = Var(5) = 0
trigger1 = stateno = 200
trigger1 = movecontact
trigger2 = stateno = 220
trigger2 = AnimElemTime(8) >= 0

[State -1, senko]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "a"
var(0) = 230

;----------------------------------------
;立ち強キック
[State -1, kick]
type = ChangeState
value = 240
TriggerAll = Var(59) = 0
triggerall = command = "b"
triggerall = statetype != A
triggerall = Var(5) = 0
trigger1 = stateno = 230
trigger1 = movecontact

[State -1, senko]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "b"
var(0) = 240

;---------------------------------------------------------------------------
;空中弱パンチ
[State -1, Jump Light Punch]
type = ChangeState
value = 600
TriggerAll = Var(59) = 0
triggerall = command = "x"
triggerall = Var(5) = 0
triggerall = statetype = A
trigger1 = stateno = 630
trigger1 = movecontact

;---------------------------------------------------------------------------
;空中強パンチ
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
TriggerAll = Var(59) = 0
triggerall = command = "y"
triggerall = Var(5) = 0
triggerall = statetype = A
trigger1 = stateno = 600
trigger1 = movecontact

;---------------------------------------------------------------------------
;空中弱キック
[State -1, Jump Light Kick]
type = ChangeState
value = 630
TriggerAll = Var(59) = 0
triggerall = command = "a"
triggerall = Var(5) = 0
triggerall = statetype = A
trigger1 = stateno = 600
trigger1 = movecontact

;---------------------------------------------------------------------------
;空中強キック
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
TriggerAll = Var(59) = 0
triggerall = command = "b"
triggerall = Var(5) = 0
triggerall = statetype = A
trigger1 = stateno = 630
trigger1 = movecontact

;---------------------------------------------------------------------------
;挑発
[State -1, Chohatu]
type = VarSet
triggerall = Var(0) = 0
trigger1 = command = "start"
var(0) = 195

;--------------------------------------------
;しゃがみ技
[State -1, shagami]
type = VarAdd
triggerAll = StateType != A
trigger1 = Var(0) = [200, 240]
trigger1 = command = "holddown"
var(0) = 200

;突進技
[State -1, shagami]
type = VarSet
triggerAll = StateType != A
trigger1 = Var(0) = [200, 240]
trigger1 = command = "holdfwd"
var(0) = IfElse(Var(0)<=220, 220, 250)

;空中技
[State -1, kuchu]
type = VarAdd
triggerAll = StateType = A
trigger1 = Var(0) = [200, 240]
var(0) = 400

;空中対地技
[State -1, kuchutaichi]
type = VarSet
triggerAll = StateType = A
trigger1 = Var(0) = [600, 610]
trigger1 = command = "holddown"
var(0) = 620

;通常技（地上技）
[State -1, senko_tujo1]
type = ChangeState
value = Var(0)
TriggerAll = Var(59) = 0
triggerAll = Var(5) = 0
triggerall = Var(0) = [195,499]
triggerAll = statetype = S || statetype = C
trigger1 = ctrl
trigger2 = Var(0)=200
trigger2 = (StateNo=200) && (AnimElemTime(6)>=2)
trigger3 = Var(0)=400
trigger3 = (StateNo=400) && (AnimElemTime(4)>=2)

;通常技（空中技）
[State -1, senko_tujo2]
type = ChangeState
value = Var(0)
TriggerAll = Var(59) = 0
triggerAll = Var(5) = 0
triggerall = Var(0) = [600,699]
triggerAll = statetype = A
trigger1 = ctrl
